Bug 124344 - left-handed mouse does not work after FC2 upgrade
left-handed mouse does not work after FC2 upgrade
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-25 15:43 EDT by Need Real Name
Modified: 2014-06-18 05:07 EDT (History)
3 users (show)

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 23:54:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
my X configuration (3.27 KB, text/plain)
2004-05-25 15:44 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2004-05-25 15:43:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
I upgraded to FC2 and can no longer set my mouse to left-handed.  When
I do, the buttons start acting strangely.  When I return to
right-handed, things work as they should.  I've tried remapping both
with the KDE preferences panel as well as xmodmap.

Using xev, here is the result of mouse button presses with normal
right-handed mouse mapping:

ButtonPress event, serial 30, synthetic NO, window 0x3600001,
    root 0x40, subw 0x0, time 7537222, (56,127), root:(1050,157),
    state 0x0, button 1, same_screen YES

ButtonRelease event, serial 30, synthetic NO, window 0x3600001,
    root 0x40, subw 0x0, time 7537769, (56,127), root:(1050,157),
    state 0x100, button 1, same_screen YES

ButtonPress event, serial 30, synthetic NO, window 0x3600001,
    root 0x40, subw 0x0, time 7540039, (56,127), root:(1050,157),
    state 0x0, button 3, same_screen YES

ButtonRelease event, serial 30, synthetic NO, window 0x3600001,
    root 0x40, subw 0x0, time 7540559, (56,127), root:(1050,157),
    state 0x400, button 3, same_screen YES

Then, I remapped the mouse by saying:
xmodmap -e "pointer = 3 2 1 4 5"

Now, the mouse presses look like:

ButtonPress event, serial 30, synthetic NO, window 0x3600001,
    root 0x40, subw 0x0, time 7509111, (56,129), root:(1050,159),
    state 0x0, button 1, same_screen YES

ButtonPress event, serial 30, synthetic NO, window 0x3600001,
    root 0x40, subw 0x0, time 7509111, (56,129), root:(1050,159),
    state 0x100, button 3, same_screen YES

ButtonRelease event, serial 30, synthetic NO, window 0x3600001,
    root 0x40, subw 0x0, time 7509676, (56,129), root:(1050,159),
    state 0x500, button 1, same_screen YES

ButtonRelease event, serial 30, synthetic NO, window 0x3600001,
    root 0x40, subw 0x0, time 7509676, (56,129), root:(1050,159),
    state 0x400, button 3, same_screen YES

I will attach a copy of my XF86Config file.

Version-Release number of selected component (if applicable):

How reproducible:
Always

Steps to Reproduce:
1. Use xmodmap as described above to re-map mouse to left-handed.
2. Watch mouse go haywire.

Actual Results:  Mouse goes haywire.

Expected Results:  Mouse buttons should be switched.

Additional info:
Comment 1 Need Real Name 2004-05-25 15:44:27 EDT
Created attachment 100561 [details]
my X configuration
Comment 2 Need Real Name 2004-05-25 16:05:03 EDT
I commented out the line:

        InputDevice "DevInputMice" "AlwaysCore"

from the "ServerLayout" section of my XF86Config file, and now the
remapping is working correctly.
Comment 3 Harm Verhagen 2004-06-15 18:14:50 EDT
I was seeing the exact same problem when upgrading from RH9 to FC2.
The suggested fix worked like a charm.

Thanks !
Comment 4 Matthew Miller 2005-04-26 11:30:58 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.